=== src/libkdepim/tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+# SPDX-FileCopyrightText: none
+# SPDX-License-Identifier: BSD-3-Clause
 ########### next target ###############
 add_executable(kcheckcomboboxtest_gui kcheckcomboboxtest_gui.cpp)
